Skip to main content
GET
/
evm
/
rh
/
creator-roster
Get creator roster
curl --request GET \
  --url https://public-api-v2.bags.fm/api/v1/evm/rh/creator-roster \
  --header 'x-api-key: <api-key>'
import requests

url = "https://public-api-v2.bags.fm/api/v1/evm/rh/creator-roster"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://public-api-v2.bags.fm/api/v1/evm/rh/creator-roster', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "response": {
    "token": "<string>",
    "feeShare": "<string>",
    "partner": "<string>",
    "partnerFeeBps": 123,
    "recipients": [
      {
        "address": "<string>",
        "bps": 123,
        "isPartner": true,
        "claimedWei": "<string>",
        "claimableWei": "<string>",
        "pendingWei": "<string>"
      }
    ]
  }
}
{
"success": false,
"response": "<string>"
}
{
"success": false,
"error": "<string>"
}
{
"success": false,
"response": "<string>"
}
{
"success": false,
"response": "<string>"
}

Authorizations

x-api-key
string
header
required

API key authentication. Provide your API key as the header value.

Query Parameters

tokenAddress
string
required

Token address. Accepts any casing; normalized to EIP-55 checksum form.

Response

Successfully retrieved creator roster

success
boolean
required
Example:

true

response
object